﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace CellWrapping.MyXamDataGrid
{
    /// <summary>
    /// Interaction logic for UserControlXamDataGrid.xaml
    /// </summary>
    public partial class UserControlXamDataGrid : UserControl
    {
        public UserControlXamDataGrid()
        {
            InitializeComponent();
            List<Data2> gdSource = new List<Data2>();
            for (int cnt1 = 0; cnt1 <= 200; cnt1++)
            {
                gdSource.Add(new Data2 { ID = 1.1234 * cnt1, Abbreviation = "z" + cnt1.ToString(), Name = "Name", Department = "Department" });
            }
            xamDataGrid1.DataSource = gdSource;
        }

        private void XamDataGrid_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            foreach (Field f in e.FieldLayout.Fields)
            {
                f.DataType = typeof(string);
                f.Settings.EditorType = typeof(XamTextEditor);
                f.Settings.EditorStyle = new Style(typeof(XamTextEditor));
                f.Settings.EditorStyle.Setters.Add(new Setter(XamTextEditor.TextWrappingProperty, TextWrapping.WrapWithOverflow));
                f.Settings.EditorStyle.Setters.Add(new Setter(XamTextEditor.HeightProperty, (double)40));
                f.Settings.EditorStyle.Setters.Add(new Setter(XamTextEditor.VerticalScrollBarVisibilityProperty, ScrollBarVisibility.Auto));
            }
        }
    }
    public class Data2
    {
        public double ID { get; set; }
        public string Abbreviation { get; set; }
        public string Name { get; set; }
        public string Department { get; set; }
    }
}
